#ifndef __MIPS_H__
#define __MIPS_H__

#define CP0_INDEX	$0
#define CP0_ENTRYLO0	$2
#define CP0_ENTRYLO1	$3
#define CP0_CONTEXT	$4
#define CP0_PAGEMASK	$5
#define CP0_WIRED	$6
#define CP0_ENTRYHI	$10
#define CP0_STATUS	$12
#define CP0_CAUSE	$13
#define CP0_EPC		$14
#define CP0_CONFIG	$16
#define CP0_WATCHLO	$18
#define CP0_TAGLO	$28
#define CP0_TAGHI	$29

#define STATUS_BEV	0x00400000
#define STATUS_IRQ	0x0000fc00
#define STATUS_UM	0x00000010
#define STATUS_ERL	0x00000004
#define STATUS_EXL	0x00000002
#define STATUS_IE	0x00000001

#define CAUSE_IV	0x00800000

#endif /* __MIPS_H__ */
